﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class PontoDeEntregaDataSet : DataSet
    {

        private sgm_Ponto_EntregaDataTable tablesgm_Ponto_Entrega;

        public PontoDeEntregaDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected PontoDeEntregaDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["sgm_Ponto_Entrega"] != null))
                {
                    this.Tables.Add(new sgm_Ponto_EntregaDataTable(ds.Tables["sgm_Ponto_Entrega"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public sgm_Ponto_EntregaDataTable sgm_Ponto_Entrega
        {
            get
            {
                return this.tablesgm_Ponto_Entrega;
            }
        }

        public override DataSet Clone()
        {
            PontoDeEntregaDataSet cln = ((PontoDeEntregaDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["sgm_Ponto_Entrega"] != null))
            {
                this.Tables.Add(new sgm_Ponto_EntregaDataTable(ds.Tables["sgm_Ponto_Entrega"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tablesgm_Ponto_Entrega = ((sgm_Ponto_EntregaDataTable)(this.Tables["sgm_Ponto_Entrega"]));
            if ((this.tablesgm_Ponto_Entrega != null))
            {
                this.tablesgm_Ponto_Entrega.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "PontoDeEntregaDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/PontoDeEntregaDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tablesgm_Ponto_Entrega = new sgm_Ponto_EntregaDataTable();
            this.Tables.Add(this.tablesgm_Ponto_Entrega);
        }

        private bool ShouldSerializesgm_Ponto_Entrega()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void sgm_Ponto_EntregaRowChangeEventHandler(object sender, sgm_Ponto_EntregaRowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_Ponto_EntregaDataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnId_Ponto_Entrega;

            private DataColumn columnId_Cliente;

            private DataColumn columnTAG;

            private DataColumn columnId_Tipo_Estacao;

            private DataColumn columnId_CityGate;

            private DataColumn columnNome_Ponto_Entrega;

            private DataColumn columnLocal_Ponto_Entrega;

            private DataColumn columnTAG_SOI;

            private DataColumn columnConversorVolume;

            internal sgm_Ponto_EntregaDataTable() :
                    base("sgm_Ponto_Entrega")
            {
                this.InitClass();
            }

            internal sgm_Ponto_EntregaDataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn Id_Ponto_EntregaColumn
            {
                get
                {
                    return this.columnId_Ponto_Entrega;
                }
            }

            internal DataColumn Id_ClienteColumn
            {
                get
                {
                    return this.columnId_Cliente;
                }
            }

            internal DataColumn TAGColumn
            {
                get
                {
                    return this.columnTAG;
                }
            }

            internal DataColumn Id_Tipo_EstacaoColumn
            {
                get
                {
                    return this.columnId_Tipo_Estacao;
                }
            }

            internal DataColumn Id_CityGateColumn
            {
                get
                {
                    return this.columnId_CityGate;
                }
            }

            internal DataColumn Nome_Ponto_EntregaColumn
            {
                get
                {
                    return this.columnNome_Ponto_Entrega;
                }
            }

            internal DataColumn Local_Ponto_EntregaColumn
            {
                get
                {
                    return this.columnLocal_Ponto_Entrega;
                }
            }

            internal DataColumn TAG_SOIColumn
            {
                get
                {
                    return this.columnTAG_SOI;
                }
            }

            internal DataColumn ConversorVolumeColumn
            {
                get
                {
                    return this.columnConversorVolume;
                }
            }

            public sgm_Ponto_EntregaRow this[int index]
            {
                get
                {
                    return ((sgm_Ponto_EntregaRow)(this.Rows[index]));
                }
            }

            public event sgm_Ponto_EntregaRowChangeEventHandler sgm_Ponto_EntregaRowChanged;

            public event sgm_Ponto_EntregaRowChangeEventHandler sgm_Ponto_EntregaRowChanging;

            public event sgm_Ponto_EntregaRowChangeEventHandler sgm_Ponto_EntregaRowDeleted;

            public event sgm_Ponto_EntregaRowChangeEventHandler sgm_Ponto_EntregaRowDeleting;

            public void Addsgm_Ponto_EntregaRow(sgm_Ponto_EntregaRow row)
            {
                this.Rows.Add(row);
            }

            public sgm_Ponto_EntregaRow Addsgm_Ponto_EntregaRow(int Id_Cliente, string TAG, int Id_Tipo_Estacao, int Id_CityGate, string Nome_Ponto_Entrega, string Local_Ponto_Entrega, string TAG_SOI, bool ConversorVolume)
            {
                sgm_Ponto_EntregaRow rowsgm_Ponto_EntregaRow = ((sgm_Ponto_EntregaRow)(this.NewRow()));
                rowsgm_Ponto_EntregaRow.ItemArray = new object[] {
                        null,
                        Id_Cliente,
                        TAG,
                        Id_Tipo_Estacao,
                        Id_CityGate,
                        Nome_Ponto_Entrega,
                        Local_Ponto_Entrega,
                        TAG_SOI,
                        ConversorVolume};
                this.Rows.Add(rowsgm_Ponto_EntregaRow);
                return rowsgm_Ponto_EntregaRow;
            }

            public sgm_Ponto_EntregaRow FindById_Ponto_Entrega(int Id_Ponto_Entrega)
            {
                return ((sgm_Ponto_EntregaRow)(this.Rows.Find(new object[] {
                            Id_Ponto_Entrega})));
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                sgm_Ponto_EntregaDataTable cln = ((sgm_Ponto_EntregaDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new sgm_Ponto_EntregaDataTable();
            }

            internal void InitVars()
            {
                this.columnId_Ponto_Entrega = this.Columns["Id_Ponto_Entrega"];
                this.columnId_Cliente = this.Columns["Id_Cliente"];
                this.columnTAG = this.Columns["TAG"];
                this.columnId_Tipo_Estacao = this.Columns["Id_Tipo_Estacao"];
                this.columnId_CityGate = this.Columns["Id_CityGate"];
                this.columnNome_Ponto_Entrega = this.Columns["Nome_Ponto_Entrega"];
                this.columnLocal_Ponto_Entrega = this.Columns["Local_Ponto_Entrega"];
                this.columnTAG_SOI = this.Columns["TAG_SOI"];
                this.columnConversorVolume = this.Columns["ConversorVolume"];
            }

            private void InitClass()
            {
                this.columnId_Ponto_Entrega = new DataColumn("Id_Ponto_Entrega", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Ponto_Entrega);
                this.columnId_Cliente = new DataColumn("Id_Cliente", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Cliente);
                this.columnTAG = new DataColumn("TAG", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTAG);
                this.columnId_Tipo_Estacao = new DataColumn("Id_Tipo_Estacao", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Tipo_Estacao);
                this.columnId_CityGate = new DataColumn("Id_CityGate", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_CityGate);
                this.columnNome_Ponto_Entrega = new DataColumn("Nome_Ponto_Entrega", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnNome_Ponto_Entrega);
                this.columnLocal_Ponto_Entrega = new DataColumn("Local_Ponto_Entrega", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnLocal_Ponto_Entrega);
                this.columnTAG_SOI = new DataColumn("TAG_SOI", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTAG_SOI);
                this.columnConversorVolume = new DataColumn("ConversorVolume", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnConversorVolume);
                this.Constraints.Add(new UniqueConstraint("PontoDeEntregaDataSetKey1", new DataColumn[] {
                                this.columnId_Ponto_Entrega}, true));
                this.columnId_Ponto_Entrega.AutoIncrement = true;
                this.columnId_Ponto_Entrega.AllowDBNull = false;
                this.columnId_Ponto_Entrega.ReadOnly = true;
                this.columnId_Ponto_Entrega.Unique = true;
                this.columnId_Cliente.AllowDBNull = false;
                this.columnTAG.AllowDBNull = false;
                this.columnId_Tipo_Estacao.AllowDBNull = false;
                this.columnId_CityGate.AllowDBNull = false;
                this.columnNome_Ponto_Entrega.AllowDBNull = false;
            }

            public sgm_Ponto_EntregaRow Newsgm_Ponto_EntregaRow()
            {
                return ((sgm_Ponto_EntregaRow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new sgm_Ponto_EntregaRow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(sgm_Ponto_EntregaRow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.sgm_Ponto_EntregaRowChanged != null))
                {
                    this.sgm_Ponto_EntregaRowChanged(this, new sgm_Ponto_EntregaRowChangeEvent(((sgm_Ponto_EntregaRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.sgm_Ponto_EntregaRowChanging != null))
                {
                    this.sgm_Ponto_EntregaRowChanging(this, new sgm_Ponto_EntregaRowChangeEvent(((sgm_Ponto_EntregaRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.sgm_Ponto_EntregaRowDeleted != null))
                {
                    this.sgm_Ponto_EntregaRowDeleted(this, new sgm_Ponto_EntregaRowChangeEvent(((sgm_Ponto_EntregaRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.sgm_Ponto_EntregaRowDeleting != null))
                {
                    this.sgm_Ponto_EntregaRowDeleting(this, new sgm_Ponto_EntregaRowChangeEvent(((sgm_Ponto_EntregaRow)(e.Row)), e.Action));
                }
            }

            public void Removesgm_Ponto_EntregaRow(sgm_Ponto_EntregaRow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_Ponto_EntregaRow : DataRow
        {

            private sgm_Ponto_EntregaDataTable tablesgm_Ponto_Entrega;

            internal sgm_Ponto_EntregaRow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tablesgm_Ponto_Entrega = ((sgm_Ponto_EntregaDataTable)(this.Table));
            }

            public int Id_Ponto_Entrega
            {
                get
                {
                    return ((int)(this[this.tablesgm_Ponto_Entrega.Id_Ponto_EntregaColumn]));
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.Id_Ponto_EntregaColumn] = value;
                }
            }

            public int Id_Cliente
            {
                get
                {
                    return ((int)(this[this.tablesgm_Ponto_Entrega.Id_ClienteColumn]));
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.Id_ClienteColumn] = value;
                }
            }

            public string TAG
            {
                get
                {
                    return ((string)(this[this.tablesgm_Ponto_Entrega.TAGColumn]));
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.TAGColumn] = value;
                }
            }

            public int Id_Tipo_Estacao
            {
                get
                {
                    return ((int)(this[this.tablesgm_Ponto_Entrega.Id_Tipo_EstacaoColumn]));
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.Id_Tipo_EstacaoColumn] = value;
                }
            }

            public int Id_CityGate
            {
                get
                {
                    return ((int)(this[this.tablesgm_Ponto_Entrega.Id_CityGateColumn]));
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.Id_CityGateColumn] = value;
                }
            }

            public string Nome_Ponto_Entrega
            {
                get
                {
                    return ((string)(this[this.tablesgm_Ponto_Entrega.Nome_Ponto_EntregaColumn]));
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.Nome_Ponto_EntregaColumn] = value;
                }
            }

            public string Local_Ponto_Entrega
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tablesgm_Ponto_Entrega.Local_Ponto_EntregaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.Local_Ponto_EntregaColumn] = value;
                }
            }

            public string TAG_SOI
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tablesgm_Ponto_Entrega.TAG_SOIColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.TAG_SOIColumn] = value;
                }
            }

            public bool ConversorVolume
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Ponto_Entrega.ConversorVolumeColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Ponto_Entrega.ConversorVolumeColumn] = value;
                }
            }

            public bool IsLocal_Ponto_EntregaNull()
            {
                return this.IsNull(this.tablesgm_Ponto_Entrega.Local_Ponto_EntregaColumn);
            }

            public void SetLocal_Ponto_EntregaNull()
            {
                this[this.tablesgm_Ponto_Entrega.Local_Ponto_EntregaColumn] = System.Convert.DBNull;
            }

            public bool IsTAG_SOINull()
            {
                return this.IsNull(this.tablesgm_Ponto_Entrega.TAG_SOIColumn);
            }

            public void SetTAG_SOINull()
            {
                this[this.tablesgm_Ponto_Entrega.TAG_SOIColumn] = System.Convert.DBNull;
            }

            public bool IsConversorVolumeNull()
            {
                return this.IsNull(this.tablesgm_Ponto_Entrega.ConversorVolumeColumn);
            }

            public void SetConversorVolumeNull()
            {
                this[this.tablesgm_Ponto_Entrega.ConversorVolumeColumn] = System.Convert.DBNull;
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_Ponto_EntregaRowChangeEvent : EventArgs
        {

            private sgm_Ponto_EntregaRow eventRow;

            private DataRowAction eventAction;

            public sgm_Ponto_EntregaRowChangeEvent(sgm_Ponto_EntregaRow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public sgm_Ponto_EntregaRow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
